UNAME(2)

NAME
uname - get name and information about current kernel

SYNOPSIS
#include <sys/utsname.h>

int uname(struct utsname *buf);

DESCRIPTION
uname returns system information in buf. The utsname struct is as defined in /usr/include/sys/utsname.h :
struct utsname {
char sysname[65];
char nodename[65];
char release[65];
char version[65];
char machine[65];
char domainname[65];
};

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    buf is not valid.

CONFORMING TO
SVID, AT&T, POSIX, X/OPEN

SEE ALSO
uname(1), getdomainname(2), gethostname(2)